* bjhh-rep.do
* generates results used in mediation paper that are based on the Beijing household dataset


clear
set mem 5m
use bjhh

****************************************************************
* Table A: Incidence of Requests for Mediation (Beijing portion)
****************************************************************

* (From closed-ended) Sought RC due to neighbor dispute
tab seekmed1, m

* (From closed-ended) Sought RC due to intra-family dispute
tab seekmed2, m

* (From closed-ended) Sought RC due to either of the above
tab seekmed3, m

* (From open-ended) Sought RC for any of 15 types of disputes, past five years
tab seekmed5, m

* Sought RC according to either closed-ended or open-ended questions
tab seekmed6, m

**************************************************************
* Table B: Requests for Mediation, by Gender (Beijing portion)
**************************************************************

* Ever sought RC for neighbor dispute? (by gender)
* This generates the chi-squared and the total n's
tab2 seekmed1 female, chi2

* Same table, but with percentages
tablecol seekmed1 female, colpct f(%9.1f)

* Ever sought RC for intra-family dispute? (by gender)
* This generates the chi-squared and the total n's
tab2 seekmed2 female, chi2

* Same table, but with percentages
tablecol seekmed2 female, colpct f(%9.1f)

*******************************************************************
* Table 1: Logistic Regression on Having Sought Mediation (Beijing)
*******************************************************************

* DV: Dispute with neighbors
logit seekmed1 age female ccp incomen educyrs nbyears social goodhk highrise avinc pcapprov contactn jsat activist, robust

* DV: Intra-family dispute
logit seekmed2 age female ccp incomen educyrs nbyears social goodhk highrise avinc pcapprov contactn jsat activist, robust

* end of do-file
