* rurhh-rep.do
* generates results used in mediation paper that are based on the rural household dataset


clear
set mem 5m
use rurhh

**************************************************************
* Table A: Incidence of Requests for Mediation (rural portion)
**************************************************************

* (From closed-ended) Sought VC due to neighbor dispute
tab seekmed1, m

* (From closed-ended) Sought VC due to intra-family dispute
tab seekmed2, m

* (From closed-ended) Sought VC due to either of the above
tab seekmed3, m

* (From open-ended) Sought VC for any of 15 types of disputes, past five years
tab seekmed6, m

* Sought VC according to either closed-ended or open-ended questions
tab seekmed7, m

************************************************************
* Table B: Requests for Mediation, by Gender (rural portion)
************************************************************

* Ever sought VC for neighbor dispute?
* This generates the chi-squared and the total n's
tab2 seekmed1 female, chi2

* Same table, but with percentages
tablecol seekmed1 female, colpct f(%9.1f)

* Ever sought VC for intra-family dispute? (by gender)
* This generates the chi-squared and the total n's
tab2 seekmed2 female, chi2

* Same table, but with percentages
tablecol seekmed2 female, colpct f(%9.1f)

*****************************************************************
* Table 2: Logistic Regression on Having Sought Mediation (rural)
*****************************************************************

* DV: neighbor disputes
logit seekmed1 age female income1n educyrs social pcapprov particip avinc1 contactn csat, robust

* DV: within-family disputes
logit seekmed2 age female income1n educyrs social pcapprov particip avinc1 contactn csat, robust

* end of do-file

